//********************************************************************************
// txt2 : fiches de chimie
//********************************************************************************

#define USE_TI89              // Compile pour la TI-89
//#define USE_TI92PLUS          // Compile pour la TI-92 Plus
//#define USE_V200              // Compile pour la V200
#define OPTIMIZE_ROM_CALLS    // Utilise les optimisations d'appel de fonctions dans la ROM
#define SAVE_SCREEN           // Sauvegarde l'cran et le restaure  la sortie

#include <tigcclib.h>         // Inclusion de tous les en-ttes de TIGCC


// structure reprsentant une page (en gnral l'essentiel d'un chapitre)
struct page
{
	const char* titre;    // le titre cu chapitre affich en gros en haut
	const char* txt[11];  // les lignes du chaptitre (11 lignes de 26 car max chacune)
	BOOL chapter;         // ce chapitre est-il le premier d'une grande partie ?
}pages[30];


int i,j;          // compteurs  porte globale utiliss couramment
int maxPage = 0;  // dernire page accessible
int page = 0;     // numro de la page affiche

char buff[50];    // buffer utilis pour formater des chanes de caractres  afficher

//--------------------------------------------------------------------------------
// Affiche un menu de slection de chapitre
//--------------------------------------------------------------------------------
void PopupMenu()
{
	short res = 0;
	ClrScr();
	HANDLE handle = PopupNew ("Chapitre", 100);
  for(i = 0; i <= maxPage; i++)
  {
 		buff[0] = '\0';

 		if(pages[i].chapter)strcat(buff, "<");
 		strcat(buff, pages[i].titre);
 		if(pages[i].chapter)strcat(buff, ">");

 		PopupAddText (handle, -1, buff, i+1);
  }

	res = PopupDo(handle, CENTER, CENTER, page+1);

	if(res == 0)exit(0);

	page = res - 1;
}
//--------------------------------------------------------------------------------
// Fonction principale du programme, commence par charger les chapitres
//--------------------------------------------------------------------------------
void _main(void)
{
	page = 0;

	// charge le numro de la page en cours
	FILE* file = fopen ("txt2s", "r");
	if(file != NULL)
	{
		page = fgetc (file);
		fclose (file);
	}

  // initialisation
  for(i = 0; i <= maxPage; i++)
  	pages[i].chapter = FALSE;

  pages[0].chapter = TRUE;
  pages[0].titre =  "Couples acide/base 1";
  //                "--------------------"
  //                "---------------------------"
  pages[0].txt[0]  = "thanol/ion Ethanolate";
  pages[0].txt[1]  = "  CH3-CH2OH / CH3-CH2O,-";
  pages[0].txt[2]  = "eau/ion Hydroxyde";
  pages[0].txt[3]  = "  H2O / HO,-";
  pages[0].txt[4]  = "Mthylammonium/mthylamine";
  pages[0].txt[5]  = "  CH3-NH3,+ / CH3-NH2";
  pages[0].txt[6]  = "Hydrognocarbonate/C.ate";
  pages[0].txt[7]  = "  HCO3,- / CO3,2-";
  pages[0].txt[8]  = "ion Ammonium/ammoniac";
  pages[0].txt[9]  = "  NH4,+ / NH3";
  pages[0].txt[10] = "";
//

  pages[1].titre =  "Couples acide/base 2";
  //                "--------------------"
  //                "---------------------------"
  pages[1].txt[0]  = "HYPOCHLOREUX/Hypochloryte";
  pages[1].txt[1]  = "  HClO / ClO,-";
  pages[1].txt[2]  = "CO2/Hydrognocarbonate";
  pages[1].txt[3]  = "  CO2,H2O / HCO3,-";
  pages[1].txt[4]  = "ETHANOIQUE/Ethanoate";
  pages[1].txt[5]  = "  CH3-COOH / CH3-COO,-";
  pages[1].txt[6]  = "BENZOIQUE/Benzoate";
  pages[1].txt[7]  = "  C6H5-COOH / C6H5-COO,-";
  pages[1].txt[8]  = "METHANOIQUE/Mthanoate";
  pages[1].txt[9]  = "  H-COOH / H-COO,-";
  pages[1].txt[10] = "";

  pages[2].titre =  "Couples acide/base 3";
  //                "--------------------"
  //                "---------------------------"
  pages[2].txt[0]  = "fluorure d'hydr./Fluorure";
  pages[2].txt[1]  = "  HF / F,-";
  pages[2].txt[2]  = "CHLOROETHANOIQUE/Cl*oate";
  pages[2].txt[3]  = "  CH2Cl-COOH / CH2Cl-COO,-";
  pages[2].txt[4]  = "Oxonium/eau";
  pages[2].txt[5]  = "  H3O,+ / H2O";
  pages[2].txt[6]  = "NITRIQUE/ion Nitrate";
  pages[2].txt[7]  = "  HNO3 / NO3,-";
  pages[2].txt[8]  = "chl. d'hydrogne/Chlorure";
  pages[2].txt[9]  = "  HCl / Cl,-";
  pages[2].txt[10] = "";


  pages[3].titre =  "Cpl Oxydorduction 1";
  //                "--------------------"
  //                "---------------------------"
  pages[3].txt[0]  = "ion Hydrogne/dihydrogne";
  pages[3].txt[1]  = "  H,+(aq) / H2(g)";
  pages[3].txt[2]  = "dioxygne / eau";
  pages[3].txt[3]  = "  O2(g) / H2O(l)";
  pages[3].txt[4]  = "cuivre(II) / cuivre mtal";
  pages[3].txt[5]  = "  Cu,2+(aq) / Cu(s)";
  pages[3].txt[6]  = "zinc(II) / zinc mtal";
  pages[3].txt[7]  = "  Zn,2+(aq) / Zn(s)";
  pages[3].txt[8]  = "fer(II) / fer mtal";
  pages[3].txt[9]  = "  Fe,2+(aq) / Fe(s)";
  pages[3].txt[10] = "";

  pages[4].titre =  "Cpl Oxydorduction 2";
  //                "--------------------"
  //                "---------------------------"
  pages[4].txt[0]  = "fer(III) / fer(II)";
  pages[4].txt[1]  = "  Fe,3+(aq) / Fe,2+(aq)";
  pages[4].txt[2]  = "Permanganate/cat manganse";
  pages[4].txt[3]  = "  MnO4,-(aq) / Mn,2+(aq)";
  pages[4].txt[4]  = "ion Dichromate/chrome(III)";
  pages[4].txt[5]  = "  Cr2O7,2-(aq) / Cr,3+(aq)";
  pages[4].txt[6]  = "Sulfate/dioxyde de soufre";
  pages[4].txt[7]  = "  SO4,2-(aq) / SO2(aq)";
  pages[4].txt[8]  = "diiode / ion Iodure";
  pages[4].txt[9]  = "  I2(aq) / I,-(aq)";
  pages[4].txt[10] = "";

  pages[5].titre =  "Cpl Oxydorduction 3";
  //                "--------------------"
  //                "---------------------------"
  pages[5].txt[0]  = "Ttrathionate/Thiosulfate";
  pages[5].txt[1]  = "  S4O6,2-(aq)/S2O3,2-(aq)";
  pages[5].txt[2]  = "Peroxodisulfate/Sulfate";
  pages[5].txt[3]  = "  S2O8,2-(aq) / SO4,2-(aq)";
  pages[5].txt[4]  = "Thiosulfate/soufre";
  pages[5].txt[5]  = "  S2O3,2-(aq) / S(s)";
  pages[5].txt[6]  = "diox.de soufre/Thiosulfate";
  pages[5].txt[7]  = "  SO2(aq) / S2O3,2-(aq)";
  pages[5].txt[8]  = "eau oxygne / eau";
  pages[5].txt[9]  = "  H2O2(g) / H2O";
  pages[5].txt[10] = "";

  pages[6].titre =  "Cpl Oxydorduction 4";
  //                "--------------------"
  //                "---------------------------"
  pages[6].txt[0]  = "dioxygne / eau oxygne";
  pages[6].txt[1]  = "  O2(g) / H2O2(aq)";
  pages[6].txt[2]  = "";
  pages[6].txt[3]  = "";
  pages[6].txt[4]  = "Typographie:";
  pages[6].txt[5]  = "-----------";
  pages[6].txt[6]  = "ACIDE : en majuscules";
  pages[6].txt[7]  = "Ion   : 1ere lettre en MAJ";
  pages[6].txt[8]  = "(I),(II) ou (III) : cation";
  pages[6].txt[9]  = "autres: criture normale";
  pages[6].txt[10] = "";


  pages[7].titre =  "Chimie organique";
  //                "--------------------"
  //                "---------------------------"
  pages[7].txt[0]  = "Alcool   : R-OH";
  pages[7].txt[1]  = "Aldhyde : R-C(=O -H)";
  pages[7].txt[2]  = "Ctone   : R-C(=O -R')";
  pages[7].txt[3]  = "acide carboxylique";
  pages[7].txt[4]  = "         : R-C(=O -OH)";
  pages[7].txt[5]  = "Ester    : R-C(=O -O-R')";
  pages[7].txt[6]  = "Anhydride d'acide: O   O";
  pages[7].txt[7]  = "                  | | | | ";
  pages[7].txt[8]  = "                   C   C  ";
  pages[7].txt[9]  = "                  / \\ / \\ ";
  pages[7].txt[10] = "                 R   O   R";


  pages[8].chapter = TRUE;
  pages[8].titre =  "Facteurs cintiques";
  //                "--------------------"
  //                "---------------------------"
  pages[8].txt[0]  = "oxydant capte lectrons";
  pages[8].txt[1]  = "rducteur cde lectrons";
  pages[8].txt[2]  = "oxydant + ne- = rducteur";
  pages[8].txt[3]  = "";
  pages[8].txt[4]  = "Ox1 + n1e- = Red1      ";
  pages[8].txt[5]  = "    Red2   = Ox2 + n2e-";
  pages[8].txt[6]  = "-----------------------";
  pages[8].txt[7]  = "n2Ox1+n1Red2->n2Red1+n1Ox2";
  pages[8].txt[8]  = "";
  pages[8].txt[9]  = "Facteurs cintiques:T,[]i";
  pages[8].txt[10] = "";


  pages[9].titre =  "Vitesse de raction";
  //                "--------------------"
  //                "---------------------------"
  pages[9].txt[0]  = "vit. volumique de raction";
  pages[9].txt[1]  = "v = 1/V * x/t";
  pages[9].txt[2]  = "coeff dir tang.  x = f(t)";
  pages[9].txt[3]  = " l'origine";
  pages[9].txt[4]  = " l'quivalence, ractifs";
  pages[9].txt[5]  = "titr et titrant ont ";
  pages[9].txt[6]  = "entirement ragi";
  pages[9].txt[7]  = "calcul de t(1/2):";
  pages[9].txt[8]  = "x = xmax/2:on repporte sur";
  pages[9].txt[9]  = "la courbe et on lit t(1/2)";
  pages[9].txt[10] = "en abscisse";


  pages[10].titre =  "Spectrophotomtrie";
  //                "--------------------"
  //                "---------------------------"
  pages[10].txt[0]  = "spectrophotomtre donne";
  pages[10].txt[1]  = "A = log10(I0 / I)";
  pages[10].txt[2]  = "I0 : lumire incidente";
  pages[10].txt[3]  = "I  : lumire transmise";
  pages[10].txt[4]  = "";
  pages[10].txt[5]  = "loi de Beer-Lambert:";
  pages[10].txt[6]  = "A = *l*c";
  pages[10].txt[7]  = "l:longueur solution";
  pages[10].txt[8]  = "c:concentration solution";
  pages[10].txt[9]  = ":coeff d'extinction mol.";
  pages[10].txt[10] = "";


  pages[11].chapter = TRUE;
  pages[11].titre = "Raction dans 2 sens";
  //                "--------------------"
  //                "---------------------------"
  pages[11].txt[0]  = "acide = base + H+";
  pages[11].txt[1]  = "pH = -log10[H3O+]";
  pages[11].txt[2]  = "";
  pages[11].txt[3]  = "acide fort: ract.totale:";
  pages[11].txt[4]  = "HCl(g)+H2O->Cl-(aq) + H3O+";
  pages[11].txt[5]  = "acide faible: 2 sens";
  pages[11].txt[6]  = "CH3-COOH+H2O=CH3-COO-+H3O+";
  pages[11].txt[7]  = "";
  pages[11].txt[8]  = "taux d'avancement final:";
  pages[11].txt[9]  = " = x[f] / x[max] (en %)";
  pages[11].txt[10] = "";


  pages[12].titre = "Equilibre systme";
  //                "--------------------"
  //                "---------------------------"
  pages[12].txt[0]  = "Qr=([C]^c*[D]^d)/";
  pages[12].txt[1]  = "   ([A]^a*[B]^b)";
  pages[12].txt[2]  = "[seulement espces (aq)]";
  pages[12].txt[3]  = "conductance G(en Siemens)";
  pages[12].txt[4]  = "d'une colonne de sol. d'";
  pages[12].txt[5]  = "lectrolyte :  = G * l/S";
  pages[12].txt[6]  = "";
  pages[12].txt[7]  = "= M+[M+(aq)]+X-[X-(aq)]";
  pages[12].txt[8]  = "K = Qr[q]";
  pages[12].txt[9]  = "K = f(T) uniquement";
  pages[12].txt[10] = "";


  pages[13].titre = "Rac.acido-basiques1";
  //                "--------------------"
  //                "---------------------------"
  pages[13].txt[0]  = "produit ionique de l'eau";
  pages[13].txt[1]  = "Ke associ  la raction";
  pages[13].txt[2]  = "d'autoprotolyse de l'eau:";
  pages[13].txt[3]  = "H2O + H2O = H3O+ + HO-(aq)";
  pages[13].txt[4]  = "constante d'acidit K[A]";
  pages[13].txt[5]  = "acide/base:";
  pages[13].txt[6]  = "acide + H2O = base + H3O+";
  pages[13].txt[7]  = "K[A]= [base][H3O+]/[acide]";
  pages[13].txt[8]  = "acide +fort->taux d'av. de";
  pages[13].txt[9]  = "raction avec l'eau +grand";
  pages[13].txt[10] = "";



  pages[14].titre = "Rac.acido-basiques2";
  //                "--------------------"
  //                "---------------------------"
  pages[14].txt[0]  = "acide d'autant plus fort";
  pages[14].txt[1]  = "que KA grand et pKA petit";
  pages[14].txt[2]  = "base +forte=KA petit";
  pages[14].txt[3]  = "B1 plus forte que B2=";
  pages[14].txt[4]  = "taux de raction +grand";
  pages[14].txt[5]  = "base d'autant plus forte";
  pages[14].txt[6]  = "que KA petit et pKA grand";
  pages[14].txt[7]  = "";
  pages[14].txt[8]  = "pH = pKA + log10([B]/[A])";
  pages[14].txt[9]  = "";
  pages[14].txt[10] = "";


  pages[15].titre = "Titrages pHmtriques";
  //                "--------------------"
  //                "---------------------------"
  pages[15].txt[0]  = "titrer = dterminer [] de";
  pages[15].txt[1]  = "l'acide ou de la base";
  pages[15].txt[2]  = "contenue dans la solution";
  pages[15].txt[3]  = "Courbe de titrage donne";
  pages[15].txt[4]  = "variations de pH quand on";
  pages[15].txt[5]  = "verse le ractif titrant";
  pages[15].txt[6]  = "dans le ractif titr";
  pages[15].txt[7]  = "Point d'quivalence VbE:";
  pages[15].txt[8]  = "point d'inflexion  la";
  pages[15].txt[9]  = "valeur pH[E], drive,";
  pages[15].txt[10] = "tangentes parallles";


  pages[16].titre =  "Titrages pH 2";
  //                "--------------------"
  //                "---------------------------"
  pages[16].txt[0]  = " l'quivalence, on a:";
  pages[16].txt[1]  = "galit des nb de mol des";
  pages[16].txt[2]  = "ractifs titr et titrant";
  pages[16].txt[3]  = "dans les proportions";
  pages[16].txt[4]  = "stochiomtriques";
  pages[16].txt[5]  = "";
  pages[16].txt[6]  = "ex:titrage d'un acide";
  pages[16].txt[7]  = "Ca*Va = Cb*VbE";
  pages[16].txt[8]  = "";
  pages[16].txt[9]  = "ex:titrage d'une base";
  pages[16].txt[10] = "Cb*Vb = Ca*VaE";


  pages[17].chapter = TRUE;
  pages[17].titre =  "Evol.spontane->q";
  //                "--------------------"
  //                "---------------------------"
  pages[17].txt[0]  = "Qr associ  la raction:";
  pages[17].txt[1]  = "aA + bB = cC + dD";
  pages[17].txt[2]  = "Qr = ([C]^c[D]^d)/";
  pages[17].txt[3]  = "     ([A]^a[B]^b)";
  pages[17].txt[4]  = "<!>seul.espces dissoutes";
  pages[17].txt[5]  = "volution spontane Qr->K";
  pages[17].txt[6]  = "sens: Qri<>K ou Qri/K<>1";
  pages[17].txt[7]  = "ract. acido-basiques:";
  pages[17].txt[8]  = "transformation avance:";
  pages[17].txt[9]  = "acide +fort + base +forte";
  pages[17].txt[10] = "quasi totale si pKa > 4";


  pages[18].titre =  "Les piles";
  //                 "--------------------"
  //                 "---------------------------"
  pages[18].txt[0]  = "ract. d'oxydorduction =";
  pages[18].txt[1]  = "e- de rducteur  oxydant";
  pages[18].txt[2]  = "Pile = 2 demi piles:";
  pages[18].txt[3]  = "(lectrode + solution";
  pages[18].txt[4]  = "lectrolytique) relies";
  pages[18].txt[5]  = "par un pont salin";
  pages[18].txt[6]  = "pont salin:sol.conductrice";
  pages[18].txt[7]  = "concentre chim. inerte";
  pages[18].txt[8]  = "";
  pages[18].txt[9]  = "symbolisation:";
  pages[18].txt[10] = "(-)Red1/Ox1//Ox2/Red2(+)";


  pages[19].titre =  "Les piles II";
  //                 "--------------------"
  //                 "---------------------------"
  pages[19].txt[0]  = "pile dcharge: Qr = K ou";
  pages[19].txt[1]  = "ractif entir. consomm";
  pages[19].txt[2]  = "quantit d'lect. dbite:";
  pages[19].txt[3]  = "Q = I*t = n * F(Faraday)";
  pages[19].txt[4]  = "n:qt e- changs pd. t";
  pages[19].txt[5]  = "";
  pages[19].txt[6]  = "fm d'une pile: tension ";
  pages[19].txt[7]  = "vide  ses bornes:";
  pages[19].txt[8]  = "E = f(0) avec U = f(I)";
  pages[19].txt[9]  = "Faraday: charge d'une mol";
  pages[19].txt[10] = "d'lectrons";

  pages[20].titre =  "Electrolyse";
  //                 "--------------------"
  //                 "---------------------------"
  pages[20].txt[0]  = "oxydation  l'anode";
  pages[20].txt[1]  = "rduction  la cathode";
  pages[20].txt[2]  = "";
  pages[20].txt[3]  = "ex: lectrolyse de l'eau";
  pages[20].txt[4]  = "2H+(aq) + 2e- = H2(g)";
  pages[20].txt[5]  = "2H2O(l)=4H+(aq)+O2(g)+4e-";
  pages[20].txt[6]  = "-------------------------";
  pages[20].txt[7]  = "2H2O(l) -> 2H2(g) + O2(g)";
  pages[20].txt[8]  = "";
  pages[20].txt[9]  = "quantit d'lectricit:";
  pages[20].txt[10] = "Q = I*t = n*F";

  pages[21].chapter = TRUE;
  pages[21].titre =  "Esterification/hydro";
  //                 "--------------------"
  //                 "---------------------------"
  pages[21].txt[0]  = "alcools:gr.hydroxyle: R-OH";
  pages[21].txt[1]  = "I: R-CH2OH   II: R-CHOH-R'";
  pages[21].txt[2]  = "III: R-COH-R'";
  pages[21].txt[3]  = "       |";
  pages[21].txt[4]  = "       R\"";
  pages[21].txt[5]  = "acides carboxyliques:-COOH";
  pages[21].txt[6]  = "esters: R-C(=O -O-R')";
  pages[21].txt[7]  = "gr. caractristique:-COO-R";
  pages[21].txt[8]  = "R-COOH+R'OH = R-COO-R'+H2O";
  pages[21].txt[9]  = "R-C(=O -O-H) + R'OH     = ";
  pages[21].txt[10] = "R-C(=O -O-R') + H2O";

  pages[22].titre =  "Etat d'quilibre";
  //                 "--------------------"
  //                 "---------------------------"
  pages[22].txt[0]  = "Titrage de CARBOXYLIQUE";
  pages[22].txt[1]  = "Estrification & hydrolyse";
  pages[22].txt[2]  = "trs lentes, limites et";
  pages[22].txt[3]  = "athermiques.";
  pages[22].txt[4]  = "Facteurs cintiques: T,";
  pages[22].txt[5]  = "catalyseur, excs ractif,";
  pages[22].txt[6]  = "limination des produits";
  pages[22].txt[7]  = "rendement  = nef / xmax";
  pages[22].txt[8]  = "taux d'avancement: alcool:";
  pages[22].txt[9]  = "I: 67%  II: 60%  III: 5,0%";
  pages[22].txt[10] = "catalyseur: H+";

  pages[23].titre =  "Changement ractif 1";
  //                 "--------------------"
  //                 "---------------------------"
  pages[23].txt[0]  = "     O" ;
  pages[23].txt[1]  = "   //";
  pages[23].txt[2]  = "R-C";
  pages[23].txt[3]  = "   \\";
  pages[23].txt[4]  = "    O + R'OH->RCOOR'+RCOOH";
  pages[23].txt[5]  = "   /";
  pages[23].txt[6]  = "R-C";
  pages[23].txt[7]  = "   \\\\";
  pages[23].txt[8]  = "     O";
  pages[23].txt[9]  = "anhydride d'acide + alcool";
  pages[23].txt[10] = "->ester+acide carboxylique";

  pages[24].titre =  "Changement ractif 2";
  //                 "--------------------"
  //                 "---------------------------"
  pages[24].txt[0]  = "     O" ;
  pages[24].txt[1]  = "   //";
  pages[24].txt[2]  = "R-C    +HO- -> R-COO-+R'OH";
  pages[24].txt[3]  = "   \\";
  pages[24].txt[4]  = "    O-R'";
  pages[24].txt[5]  = "";
  pages[24].txt[6]  = "ester + ion hydroxyde";
  pages[24].txt[7]  = "->ion carboxylate + alcool";
  pages[24].txt[8]  = "";
  pages[24].txt[9]  = "Saponificat.des corps gras";
  pages[24].txt[10] = "Chane carbone hydrophobe";

  pages[25].titre =  "Saponification";
  //                 "--------------------"
  //                 "---------------------------"
  pages[25].txt[0]  = "R-COO-CH2 (triglycride)";
  pages[25].txt[1]  = "      |";
  pages[25].txt[2]  = "R-COO-CH + 3[HO- + Na+] ->";
  pages[25].txt[3]  = "      |       (soude)";
  pages[25].txt[4]  = "R-COO-CH2";
  pages[25].txt[5]  = "";
  pages[25].txt[6]  = "CH2OH (glycrol)";
  pages[25].txt[7]  = "|";
  pages[25].txt[8]  = "CHOH (aq) + 3R-COONa(s)";
  pages[25].txt[9]  = "|            (savon)";
  pages[25].txt[10] = "CH2OH";

	maxPage = 25;

  // vrifications
  for(i = 0; i <= maxPage;i++)
  {
  	if(strlen(pages[i].titre) > 20)
  	{
  		sprintf(buff, "Le titre %d est trop long (20 car max)", i);
  		DlgMessage("Attention", buff, BT_OK, BT_NONE);
  		exit(0);
  	}

  	for(j = 0; j < 11; j++)
  	{
  		if(strlen(pages[i].txt[j]) > 26)
  		{
  			sprintf(buff, "La ligne %d du %d est trop long (26 car max)", j,i);
  			DlgMessage("Attention", buff, BT_OK, BT_NONE);
  			exit(0);
  		}
  	}
  }



	//PopupMenu();
	while(1)
	{
		ClrScr();

		// affiche le titre (20 car) en gros et centr horizontalement
		FontSetSys(F_8x10);
		DrawStr (80 - strlen(pages[page].titre)*8/2, 0, pages[page].titre, A_NORMAL);

		// affiche le texte
		FontSetSys(F_6x8);
		int y;
		for(y = 0; y < 11; y++)
			DrawStr(2, 12+y*8, pages[page].txt[y], A_NORMAL);

		//dernire ligne:on affiche des flches si la ligne est vide
		/*if(pages[page].txt[10][0] == '\0')
		{
			if(page == 0)
				DrawStr(2, 92, "                         ", A_NORMAL);
			else if(page == maxPage)
				DrawStr(2, 92, "", A_NORMAL);
			else
				DrawStr(2, 92, "                        ", A_NORMAL);
		}
		else
			DrawStr(2, 92, pages[page].txt[y], A_NORMAL);
		*/

		// entre en mode conomisation des batteries (low power)
		idle();

	  // attend un appui sur une touche
	  short car = ngetchx ();

  	if(car == KEY_ESC)break;

	  if(car == KEY_LEFT)
  	{
  		if(page>0)page--;
	  	else page = maxPage;
  	}

	  if(car == KEY_RIGHT)
  	{
  		if(page<maxPage)page++;
	  	else page = 0;
  	}

	  if(car == KEY_UP)
  	{
  		do
  		{
  			page--;
	  		if(page < 0)page = maxPage;
  		}
  		while(!pages[page].chapter);
	  }
  	if(car == KEY_DOWN)
	  {
  		do
  		{
  			page++;
  			if(page > maxPage)page = 0;
	  	}
  		while(!pages[page].chapter);
	  }

		if(car == KEY_CLEAR)
		{
			ClrScr();
			off();
			break;
		}

		if(car == KEY_ON)
		{
			ClrScr();
			off();
		}

	  if(car == KEY_APPS)
  	{
  		PopupMenu();
	  }
	}

	// sauvegarde le numro de la page en cours
	file = fopen ("txt2s", "w");
	if(file != NULL)
	{
		fputc ((short)page, file);
		fclose (file);
	}
}